# Class DropTarget.DropTargetAutoScroller

java.lang.Object
java.awt.dnd.DropTarget.DropTargetAutoScroller

All Implemented Interfaces:
  `ActionListener, EventListener`

Enclosing class:
  `DropTarget`

protected static class DropTarget.DropTargetAutoScroller extends Object implements ActionListener
this protected nested class implements autoscrolling

Since:
  1.2

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DropTargetAutoScroller(Component c, Point p)`
construct a DropTargetAutoScroller

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
cause autoscroll to occur
`protected void`
`stop()`
cause autoscrolling to stop
`protected void`
`updateLocation(Point newLocn)`
cause autoscroll to occur

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### DropTargetAutoScroller

protected DropTargetAutoScroller(Component c, Point p)
construct a DropTargetAutoScroller

Parameters:
  `c` - the `Component`
  `p` - the `Point`

## Method Details

### updateLocation

protected void updateLocation(Point newLocn)
cause autoscroll to occur

Parameters:
  `newLocn` - the `Point`

### stop

protected void stop()
cause autoscrolling to stop

### actionPerformed

public void actionPerformed(ActionEvent e)
cause autoscroll to occur

Specified by:
  `actionPerformed` in interface `ActionListener`
Parameters:
  `e` - the `ActionEvent`